| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryOriginRouteRequest Class Reference
Origin Destination and Origin Route

Query Origin Route request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | OriginDestinationName
| Filter by the name of the Origin Destination associated with the route. More...
xsd__string | RateAreaName
| Filter by the name of a Rate Area associated with the route. More...
xsd__string | DestinationName
| Filter by the name of the destination to which calls will be translated. More...
enum unsp__OriginRouteDestinationType | DestinationType
| Filter by the type of Origin Destination. More...

## Detailed Description

Query Origin Route request.

Used by unsp__queryOriginRoute()

## Member Data Documentation

## ◆ DestinationName

xsd__string unsp__QueryOriginRouteRequest::DestinationName

Filter by the name of the destination to which calls will be translated.

required: false

See also
  unsp__DestName

## ◆ DestinationType

enum unsp__OriginRouteDestinationType unsp__QueryOriginRouteRequest::DestinationType

Filter by the type of Origin Destination.

required: false
default value[range]: OriginRouteDtDest

## ◆ OperatorId

xsd__string unsp__QueryOriginRouteRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ OriginDestinationName

xsd__string unsp__QueryOriginRouteRequest::OriginDestinationName

Filter by the name of the Origin Destination associated with the route.

required: false
default value[range]: NA [1..15]

## ◆ Paging

struct unsp__Paging* unsp__QueryOriginRouteRequest::Paging

Standard paging structure.

required: false

## ◆ RateAreaName

xsd__string unsp__QueryOriginRouteRequest::RateAreaName

Filter by the name of a Rate Area associated with the route.

required: false

See also
  unsp__RateAreaName

## ◆ Specific

xsd__boolean unsp__QueryOriginRouteRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h